Subject: [bug#63714] [PATCH] gnu: Add emacs-x509

From: David Conner <[email-masked]>
Date: Sat, 27 May 2023 10:37:58 -0400

I'm still getting used to GNUS and debbugs. I've only just gotten GNUS
set up in Emacs with email.

> Guix doesn't use versioning system from MELPA. Unfortunately, this
> package doesn't seem to set a Version keyword. So the version should
> be "0".

I can try to get in touch with the package maintainers to convince them
to add semantic versioning. I think the package was dormant for quite
some time until I created a Github issue on it. It appears to be active
again.

> Could you send an updated patch? Also, could you run tests?

Yes, I'll take care of this soon.

As for tests, do you mean Guix tests or x509-mode.el tests? If the
latter, then I believe openssl should be a propagated input. I left it
out, as this should be a dependency on most machines anyways.

Thanks